from django.db import models
import uuid

class DrawLog(models.Model):
    id = models.UUIDField(primary_key=True, default=uuid.uuid4, editable=True)
    tournament = models.ForeignKey('Tournament', on_delete=models.CASCADE)
    draw_date = models.DateTimeField()
    draw_seed = models.IntegerField()
    draw_match_index = models.IntegerField()
    draw_team_position = models.IntegerField()
    draw_type = models.IntegerField(default=0)
